### Struct

# Pango AttrShape

#### Description [src]

    struct PangoAttrShape {
      PangoAttribute attr;
      PangoRectangle ink_rect;
      PangoRectangle logical_rect;
      gpointer data;
      PangoAttrDataCopyFunc copy_func;
      GDestroyNotify destroy_func;
    }

The `PangoAttrShape` structure is used to represent attributes which impose shape restrictions.

###### Structure members

`attr` | The common portion of the attribute.
`ink_rect` | The ink rectangle to restrict to.
`logical_rect` | The logical rectangle to restrict to.
`data` | User data set (see `pango_attr_shape_new_with_data()`)
`copy_func` | Copy function for the user data.
`destroy_func` | Destroy function for the user data.

#### Functions

###### pango_attr_shape_new

Create a new shape attribute.

###### pango_attr_shape_new_with_data

Creates a new shape attribute.

Available since: 1.8